# Path Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void Path()
- void Path(Path arg__1)

### Constructor Properties

- prototype: The Path prototype object

### Prototype Object Properties

- bool disconnectPath()
- List effects()
- bool insertEffect(Effect newEffect, Effect insertBefore)
- bool isValid()
- bool operator_equal(Path p)
- bool reconnect(MediaNode source, MediaNode sink)
- bool removeEffect(Effect effect)
- MediaNode sink()
- MediaNode source()

### Instance Properties

Path objects have no special properties beyond those inherited from the Path prototype object.